#include version.txt

uniform sampler2D velocities_u;
uniform sampler2D velocities_v;
uniform sampler2D prev_densities;
uniform float time_step;

void main() {	
        
    float vel_u = time_step * texture2D(velocities_u, gl_TexCoord[0].xy).r;
    float vel_v = time_step * texture2D(velocities_v, gl_TexCoord[0].xy).r;

	gl_FragColor = texture2D(prev_densities, gl_TexCoord[0].xy - vec2(vel_u, vel_v));                 		
}
